Connect an MCP server with OAuth for the organization
curl --request POST \
--url https://api.runaether.dev/v1/mcp-servers/{mcpServerID}/org-connection/oauth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api.runaether.dev/v1/mcp-servers/{mcpServerID}/org-connection/oauth"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.runaether.dev/v1/mcp-servers/{mcpServerID}/org-connection/oauth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorization_url": "<string>"
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"code": "mcp_server_key_invalid",
"error": "<string>"
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}MCP Servers
Connect an MCP server with OAuth for the organization
Org admins only. Starts the organization’s connection to a server that authenticates with OAuth, granted with your consent, or its reconnection, and returns the authorization URL to send your browser to. Projects may then use the org credential policy for the server.
POST
/
mcp-servers
/
{mcpServerID}
/
org-connection
/
oauth
Connect an MCP server with OAuth for the organization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The server URL the connection is started for, as the catalog showed it. Refused with mcp_connection_server_changed when the server's URL is now another.
Required string length:
1 - 2048Response
OK